Nathaniel
W
Turner
nate@houseofnate.net
2004
Nathaniel W. Turner
2005-05-31
KONVERSATION
1

# konversation

user friendly IRC client for KDE

          konversation

            Qt-options

            KDE-options

            options

## DESCRIPTION

Konversation is client for the Internet Relay Chat (IRC) protocol.

IRC is a great way to meet friends on the net, make new acquaintances and lose yourself in talk about your favorite subject.

Konversation is under active development and is currently in beta.

## OPTIONS

All KDE and Qt programs accept a some common command-line options.

### Generic options:

`--help`

  Show help about options

`--help-qt`

  Show Qt specific options

`--help-kde`

  Show KDE specific options

`--help-all`

  Show all options

`--author`

  Show author information

`-v`, `--version`

  Show version information

`--license`

  Show license information

`--`

  Indicates end of options

### Options

`--server` server

  Server to connect

`--port` port

  Port to use (default: 6667)

`--channel` channel

  Channel to join after connection

`--nick` nickname

  Nickname to use

`--password` password

  Password for connection

`--ssl`

  Use SSL for connection (default: false)

## SCRIPTING

Konversation looks for scripts in `/usr/share/apps/konversation/scripts` and in `~/.kde/share/apps/konversation/scripts`. To execute a script, use the `exec` command:

          /exec
          scriptname
          arguments

For example:

`/exec gauge 75`

## FILES

`~/.kde/share/config/konversationrc`

  Main configuration

`~/.kde/share/config/konversation.eventsrc`

  Notification settings

`~/.kde/share/apps/konversation/logs`

  Directory containing channel log files

## SEE ALSO

The Konversation Handbook is an excellent resource for further reading. It can be found under the Help menu in Konversation.

The following manual pages may also be of interest: konversationircprotocolhandler 1 , dcop 1

## COPYRIGHT

This manual page was written by Nathaniel W. Turner nate@houseofnate.net for the Debian system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 or any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in `/usr/share/common-licenses/GPL`.